Bug 6967 - fdisk should be available in GUI install as an option
fdisk should be available in GUI install as an option
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-12 19:59 EST by Joe Harrington
Modified: 2015-01-07 18:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-08 19:06:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 1999-11-12 19:59:36 EST
Disk druid in the install won't let you decide the order of
partitions, and won't let you work in cylinders.  I wanted a swap
after / so I could in the future grow/shrink / into the swap with FIPS.
Fdisk isn't available except in expert mode, and expert mode doesn't let
you start without a driver disk.  Workaround: document explicitly that
fdisk can be run from the command line using ctrl-alt-F1 on any screen
before the disk druid screen, or on that screen if the "reset" option is
selected.  Then the user can name the partitions in disk druid.

A workaround that should be documented is to switch to the bash prompt and
run fdisk from there, then have Druid reread the partition table when it's
time to give the mount points.
Comment 1 Jay Turner 1999-11-16 08:22:59 EST
fdisk is available for disk partitioning in expert mode installs; just type
"linux expert" at the boot prompt.  In GUI, the checkbox for fdisk is in the
upper right corner of the Installation Class screen (where you specify
Workstation or Server or Custom)
Comment 2 Joe Harrington 1999-11-16 10:08:59 EST
As I mentionned, expert mode is not available if you don't have a driver disk.
There is no "null" driver disk available, and expert mode won't let you bypass
the driver disk step with just a blank floppy.

There is no checkbox for fdisk in the upper-right corner of the "Install Type"
screen in the 6.1 Intel install (boxed set), which is where the choice between
custom, server, gworkstation, and kworkstation is made.  See picture on p. 39 of
Install Guide.

Is there one in 6.2?

--jh--
Comment 3 Joe Harrington 1999-12-21 15:46:59 EST
Please read and reply to the comment above.  Thanks.
Comment 4 Jay Turner 2000-02-08 19:06:59 EST
In expert mode, when you get the "Insert Driver Disk" screen, you can click
"Cancel" and get past this screen.  As for an fdisk checkbox, the current beta
does indeed have this checkbox in the screen you mentioned.  Check out the
latest beta and see what you think.

Note You need to log in before you can comment on or make changes to this bug.